<% local data, viewlibrary, page_info, session = ... %>
<% require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<% local subdata, pagedata = htmlviewfunctions.paginate(data.value, page_info.clientdata, 100) %>

<H1><%= html.html_escape(data.label) %></H1>
<DL>
<% htmlviewfunctions.displaypagination(pagedata, page_info) %>
<TABLE>
	<TR class="header">
		<TD style="padding-right:20px;white-space:nowrap;" class="header">Date</TD>
		<TD style="white-space:nowrap;" WIDTH="90%" class="header">Message</TD>
	</TR>

<% for i,log in ipairs(subdata) do %>
	<TR>
		<TD><%= html.html_escape(string.gsub(log.logdatetime, "%..*", "")) %></TD>
		<TD><%= html.html_escape(log.msgtext) %></TD>
	</TR>
<% end %>
</TABLE>

<% if data.errtxt then %>
<p class='error'><%= html.html_escape(data.errtxt) %></p>
<% end %>
<% if #data.value == 0 then %>
<p>No history found</p>
<% end %>
</DL>
