<% local data, viewlibrary, page_info, session = ... %>
<% require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<% local subdata, pagedata = htmlviewfunctions.paginate(data.value, page_info.clientdata, 100) %>

<H1><%= html.html_escape(data.label) %></H1>
<DL>
<% htmlviewfunctions.displaypagination(pagedata, page_info) %>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;" class="header">Date</TD>
		<TD style="padding-right:20px;white-space:nowrap;" class="header">Source</TD>
		<TD style="padding-right:20px;white-space:nowrap;" class="header">Requests</TD>
		<TD style="white-space:nowrap;" WIDTH="90%" class="header">Blocks</TD>
	</TR>

<% for i,stat in ipairs(subdata) do %>
	<TR>
		<TD><%= html.html_escape(stat.date) %></TD>
		<TD><%= html.html_escape(stat.sourcename) %></TD>
		<TD><%= html.html_escape(stat.numrequest) %></TD>
		<TD><%= html.html_escape(stat.numblock) %></TD>
	</TR>
<% end %>
</TABLE>

<% if data.errtxt then %>
<p class='error'><%= html.html_escape(data.errtxt) %></p>
<% end %>
<% if #data.value == 0 then %>
<p>No usage stats found</p>
<% end %>
</DL>
